Package org.apache.sling.jcr.api

# Class TooManySessionsException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.jcr.RepositoryException
javax.jcr.LoginException
org.apache.sling.jcr.api.TooManySessionsException

All Implemented Interfaces:
  `Serializable`

@Deprecated public class TooManySessionsException extends javax.jcr.LoginException
Deprecated.
Session pooling has been removed and thus this exception is not used any more.
The `TooManySessionsException` is a special `LoginException` thrown when the number of active sessions in a given session pool has reached the configured maximum number of sessions.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`TooManySessionsException(String message)`
Deprecated.
`TooManySessionsException(String message, Throwable t)`
Deprecated.
`TooManySessionsException(Throwable t)`
Deprecated.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TooManySessionsException

public TooManySessionsException(String message)
Deprecated.

### TooManySessionsException

public TooManySessionsException(Throwable t)
Deprecated.

### TooManySessionsException

public TooManySessionsException(String message, Throwable t)
Deprecated.